## org.apache.portals.bridges.jsf
Class FacesContextFactoryImpl

    java.lang.Object
      javax.faces.context.FacesContextFactory
          org.apache.portals.bridges.jsf.FacesContextFactoryImpl

public class FacesContextFactoryImpl
extends javax.faces.context.FacesContextFactory

Loads the `PortletFacesContextImpl`

Author:
  David Le Strat

Constructor Summary
`FacesContextFactoryImpl()`

Method Summary
`javax.faces.context.FacesContext` `getFacesContext(Object context, Object request, Object response, javax.faces.lifecycle.Lifecycle lifecycle)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesContextFactoryImpl

    public FacesContextFactoryImpl()

Method Detail

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext(Object context,
                                                            Object request,
                                                            Object response,
                                                            javax.faces.lifecycle.Lifecycle lifecycle)
                                                     throws javax.faces.FacesException

  Throws:
    `javax.faces.FacesException`
  See Also:
    `FacesContextFactory.getFacesContext(java.lang.Object, java.lang.Object, java.lang.Object, javax.faces.lifecycle.Lifecycle)`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.